# NSQuestionOptionService
> DNS查询选项

---

## createNSQuestionOption
> 创建选项

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/NSQuestionOptionService/createNSQuestionOption`
- RPC：`rpc createNSQuestionOption(CreateNSQuestionOptionRequest) returns (CreateNSQuestionOptionResponse);`

**请求对象 (`CreateNSQuestionOptionRequest`)**

```json
{
  "name": "string // 名称",
  "valuesJSON": "bytes"
}
```

**响应对象 (`CreateNSQuestionOptionResponse`)**

```json
{
  "nsQuestionOptionId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/NSQuestionOptionService/createNSQuestionOption" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## deleteNSQuestionOption
> 删除选项

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/NSQuestionOptionService/deleteNSQuestionOption`
- RPC：`rpc deleteNSQuestionOption(DeleteNSQuestionOptionRequest) returns (RPCSuccess);`

**请求对象 (`DeleteNSQuestionOptionRequest`)**

```json
{
  "nsQuestionOptionId": "int64"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/NSQuestionOptionService/deleteNSQuestionOption" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
